# $Revision: 1.21 $, $Date: 2012/03/23 17:55:09 $
Summary:	luit application - locale and ISO 2022 support for Unicode terminals
Summary(pl.UTF-8):	Aplikacja luit - obsługa lokalizacji i ISO 2022 dla terminali unikodowych
Name:		xorg-app-luit
Version:	1.1.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/luit-%{version}.tar.bz2
# Source0-md5:	c4a3664e08e5a47c120ff9263ee2f20c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libfontenc-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
luit is a filter that can be run between an arbitrary application and
a UTF-8 terminal emulator. It will convert application output from the
locale's encoding into UTF-8, and convert terminal input from UTF-8
into the locale's encoding.

%description -l pl.UTF-8
luit to filtr, który można uruchomić między dowolną aplikacją a
emulatorem terminala UTF-8. Konwertuje wyjście z aplikacji z kodowania
lokalizacji do UTF-8 oraz wejście terminala z UTF-8 do kodowania
lokalizacji.

%prep
%setup -q -n luit-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/luit
%{_mandir}/man1/luit.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-luit.spec,v $
Revision 1.21  2012/03/23 17:55:09  qboosh
- updated to 1.1.1

Revision 1.20  2011/01/29 00:07:46  sparky
- dropped pre-cvs changelog

Revision 1.19  2010/10/07 07:24:52  qboosh
- updated to 1.1.0

Revision 1.18  2010/05/26 07:06:40  qboosh
- updated to 1.0.5

Revision 1.17  2009/10/05 20:45:18  qboosh
- util-macros version
- added README to doc

Revision 1.16  2009/10/02 06:41:10  arekm
- up to 1.0.4

Revision 1.15  2008/02/03 13:29:20  arekm
- up to 1.0.3

Revision 1.14  2007/04/30 21:29:05  qboosh
- informative descs from man

Revision 1.13  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.11  2006/11/08 15:39:22  arekm
- up to 1.0.2

Revision 1.10  2006/10/15 11:24:40  qboosh
- use individual dir, more verbose files
- BR: zlib-devel
- release 1

Revision 1.9  2006/01/10 13:56:05  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 11:24:34  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 13:45:13  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs
